<?php

namespace App\Http\Controllers;

use GuzzleHttp\Client;
use GuzzleHttp\RequestOptions;
use Illuminate\Http\Request;

class PostController extends Controller
{
	protected string $url = 'http://wordpress.test/wp-json/wp/v2/posts';
	protected string $username = 'admin';
	protected string $password = 'zEVZ GuUX 8zuk h6bB lkfl v2Ts';
	protected array $auth;

	public function __construct() {
		$this->auth = [
			$this->username,
			$this->password,
		];
	}

	/**
	 * Display a listing of the resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function index()
	{
		$params = array(
			'per_page' => 100,
		);
		$client = new Client();
		$response = $client->request('GET', $this->url, [
			RequestOptions::JSON => $params
		]);
		$posts = json_decode($response->getBody()->getContents());
		return view('posts.index', compact('posts'));
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return \Illuminate\Http\Response
	 */
	public function create()
	{
		return view('posts.create');
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @return \Illuminate\Http\Response
	 */
	public function store(Request $request)
	{
		$params = array(
			'title' => $request['titulo'],
			'content' => $request['contenido'],
			'status' => 'publish'
		);
		$client = new Client([
			'auth' => $this->auth,
		]);
		$response = $client->post($this->url, [
			RequestOptions::JSON => $params
		]);
		if ($response->getStatusCode() == 201) {
			return redirect()->route('posts.index');
		}
	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function show($id)
	{
		$client = new Client();
		$response = $client->get($this->url . '/' . $id);
		$post = json_decode($response->getBody());
		return view('posts.show', compact('post'));
	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function edit($id)
	{
		$client = new Client();
		$response = $client->get($this->url . '/' . $id);
		$post = json_decode($response->getBody());
		return view('posts.edit', compact('post'));
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @param  int  $id
	 * @return \Illuminate\Http\Response
	 */
	public function update(Request $request, $id)
	{
		$params = array(
			'title' => $request['titulo'],
			'content' => $request['contenido'],
			'status' => 'publish'
		);
		$client = new Client([
			'auth' => $this->auth,
		]);
		$response = $client->put($this->url . '/' . $id, [
			RequestOptions::JSON => $params
		]);
		if ($response->getStatusCode() == 200) {
			return redirect()->route('posts.index');
		}
	}

	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 *
	 * @return \Illuminate\Http\RedirectResponse|void
	 */
	public function destroy($id)
	{
		$client = new Client([
			'auth' => $this->auth,
		]);
		$response = $client->delete($this->url . '/' . $id);
		if ($response->getStatusCode() == 200) {
			return redirect()->route('posts.index');
		}
	}
}
