@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">Editar el post</div>
                    <div class="card-body">
                        <form action="{{route('posts.update', $post->id)}}" method="post">
                            @csrf
                            @method('put')
                            <div class="col-md-12 mt-2">
                                <div class="form-group">
                                    <label for="titulo" class="form-label">Título</label>
                                    <input type="text" name="titulo" id="titulo" class="form-control"
                                           value="{{$post->title->rendered}}">
                                    @error('name')
                                    <div class="invalid-feedback">{{ $errors->first('titulo') }}</div>
                                    @enderror
                                </div>
                            </div>

                            <div class="col-md-12 mt-4">
                                <div class="form-group">
                                    <label for="contenido" class="form-label">Contenido</label>
                                    <textarea name="contenido" id="contenido"
                                              class="form-control">{{ strip_tags($post->content->rendered) }}</textarea>

                                    @error('name')
                                    <div class="invalid-feedback">{{ $errors->first('contido') }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-12 mt-4">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary">{{ __('Actualizar post') }}</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
