
@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">Posts
                        <a class="btn btn-primary float-right" href="{{route('posts.create')}}">Add post</a>
                    </div>
                    <div class="card-body">
                        <table width="100%">
                        @foreach($posts as $post)
                                <tr>
                                    <td width="70%">
                                        <a href="{{route('posts.show', $post->id)}}">
                                            {{ $post->title->rendered }}
                                        </a>
                                    </td>
                                    <td width="15%">
                                        <a class="btn btn-info" href="{{route('posts.edit', $post->id)}}">
                                            Edit
                                        </a>
                                    </td>
                                    <td width="15%">
                                        <form action="{{ route('posts.destroy', $post->id) }}" method="POST">
                                            {{ method_field('DELETE') }}
                                            {{ csrf_field() }}
                                            <button class="btn btn-danger">Delete</button>
                                        </form>
                                    </td>
                                </tr>
                        @endforeach
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection